Skip to main content
GET
https://{tenantDomain}/api/v2
/
token-exchange-profiles
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.TokenExchangeProfiles.List(
        context.TODO(),
        &management.TokenExchangeProfilesListRequest{
            From: management.String(
                "from",
            ),
            Take: management.Int(
                1,
            ),
        },
    )
}
{
  "next": "<string>",
  "token_exchange_profiles": [
    {
      "id": "<string>",
      "name": "Token Exchange Profile 1",
      "subject_token_type": "<string>",
      "action_id": "<string>",
      "type": "custom_authentication",
      "created_at": "2024-01-01T00:00:00.000Z",
      "updated_at": "2024-01-01T00:00:00.000Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from
string

Optional Id from which to start selection.

take
integer

Number of results per page. Defaults to 50.

Required range: 1 <= x <= 100

Response

Token Exchange Profile successfully retrieved.

next
string

Opaque identifier for use with the from query parameter for the next page of results.
This identifier is valid for 24 hours.

token_exchange_profiles
object[]